<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::RawCalorimeterHitObj Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_raw_calorimeter_hit_obj.html">RawCalorimeterHitObj</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classeic_1_1_raw_calorimeter_hit_obj-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::RawCalorimeterHitObj Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_raw_calorimeter_hit_obj_8h_source.html">RawCalorimeterHitObj.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for eic::RawCalorimeterHitObj:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_raw_calorimeter_hit_obj__inherit__graph.png" border="0" usemap="#eic_1_1_raw_calorimeter_hit_obj_inherit__map" alt="Inheritance graph"/></div>
<map name="eic_1_1_raw_calorimeter_hit_obj_inherit__map" id="eic_1_1_raw_calorimeter_hit_obj_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for eic::RawCalorimeterHitObj:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_raw_calorimeter_hit_obj__coll__graph.png" border="0" usemap="#eic_1_1_raw_calorimeter_hit_obj_coll__map" alt="Collaboration graph"/></div>
<map name="eic_1_1_raw_calorimeter_hit_obj_coll__map" id="eic_1_1_raw_calorimeter_hit_obj_coll__map">
<area shape="rect" id="node3" href="classeic_1_1_raw_calorimeter_hit_data.html" title="eic::RawCalorimeterHitData" alt="" coords="101,5,288,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:adb3adafe81e6f83d17e82ced4619e50c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_raw_calorimeter_hit_obj.html#adb3adafe81e6f83d17e82ced4619e50c">RawCalorimeterHitObj</a> ()</td></tr>
<tr class="memdesc:adb3adafe81e6f83d17e82ced4619e50c"><td class="mdescLeft">&#160;</td><td class="mdescRight">constructor  <a href="#adb3adafe81e6f83d17e82ced4619e50c">More...</a><br /></td></tr>
<tr class="separator:adb3adafe81e6f83d17e82ced4619e50c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0b230af8dcab68abc4c1c09747e88d5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_raw_calorimeter_hit_obj.html#ac0b230af8dcab68abc4c1c09747e88d5">RawCalorimeterHitObj</a> (const <a class="el" href="classeic_1_1_raw_calorimeter_hit_obj.html">RawCalorimeterHitObj</a> &amp;)</td></tr>
<tr class="memdesc:ac0b230af8dcab68abc4c1c09747e88d5"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy constructor (does a deep-copy of relation containers)  <a href="#ac0b230af8dcab68abc4c1c09747e88d5">More...</a><br /></td></tr>
<tr class="separator:ac0b230af8dcab68abc4c1c09747e88d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a664fa75ba3126057215dfdf57d3c32e1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_raw_calorimeter_hit_obj.html#a664fa75ba3126057215dfdf57d3c32e1">RawCalorimeterHitObj</a> (const podio::ObjectID id, <a class="el" href="classeic_1_1_raw_calorimeter_hit_data.html">RawCalorimeterHitData</a> <a class="el" href="classeic_1_1_raw_calorimeter_hit_obj.html#a497e714e86e02a8c25b5ef7b0e765cec">data</a>)</td></tr>
<tr class="separator:a664fa75ba3126057215dfdf57d3c32e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeacab44e6aab12e1a6db117d6ba536a9"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_raw_calorimeter_hit_obj.html#aeacab44e6aab12e1a6db117d6ba536a9">~RawCalorimeterHitObj</a> ()</td></tr>
<tr class="separator:aeacab44e6aab12e1a6db117d6ba536a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a497e714e86e02a8c25b5ef7b0e765cec"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_raw_calorimeter_hit_data.html">RawCalorimeterHitData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_raw_calorimeter_hit_obj.html#a497e714e86e02a8c25b5ef7b0e765cec">data</a></td></tr>
<tr class="separator:a497e714e86e02a8c25b5ef7b0e765cec"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="_raw_calorimeter_hit_obj_8h_source.html#l00018">18</a> of file <a class="el" href="_raw_calorimeter_hit_obj_8h_source.html">RawCalorimeterHitObj.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="adb3adafe81e6f83d17e82ced4619e50c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb3adafe81e6f83d17e82ced4619e50c">&#9670;&nbsp;</a></span>RawCalorimeterHitObj() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::RawCalorimeterHitObj::RawCalorimeterHitObj </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>constructor </p>

<p class="definition">Definition at line <a class="el" href="_raw_calorimeter_hit_obj_8cc_source.html#l00006">6</a> of file <a class="el" href="_raw_calorimeter_hit_obj_8cc_source.html">RawCalorimeterHitObj.cc</a>.</p>

<p class="reference">References <a class="el" href="_raw_calorimeter_hit_obj_8h_source.html#l00030">data</a>.</p>

</div>
</div>
<a id="ac0b230af8dcab68abc4c1c09747e88d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac0b230af8dcab68abc4c1c09747e88d5">&#9670;&nbsp;</a></span>RawCalorimeterHitObj() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::RawCalorimeterHitObj::RawCalorimeterHitObj </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_raw_calorimeter_hit_obj.html">RawCalorimeterHitObj</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy constructor (does a deep-copy of relation containers) </p>

<p class="definition">Definition at line <a class="el" href="_raw_calorimeter_hit_obj_8cc_source.html#l00015">15</a> of file <a class="el" href="_raw_calorimeter_hit_obj_8cc_source.html">RawCalorimeterHitObj.cc</a>.</p>

<p class="reference">References <a class="el" href="_raw_calorimeter_hit_obj_8h_source.html#l00030">data</a>.</p>

</div>
</div>
<a id="a664fa75ba3126057215dfdf57d3c32e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a664fa75ba3126057215dfdf57d3c32e1">&#9670;&nbsp;</a></span>RawCalorimeterHitObj() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::RawCalorimeterHitObj::RawCalorimeterHitObj </td>
          <td>(</td>
          <td class="paramtype">const podio::ObjectID&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classeic_1_1_raw_calorimeter_hit_data.html">RawCalorimeterHitData</a>&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>constructor from ObjectID and <a class="el" href="classeic_1_1_raw_calorimeter_hit_data.html">RawCalorimeterHitData</a> does not initialize the internal relation containers </p>

<p class="definition">Definition at line <a class="el" href="_raw_calorimeter_hit_obj_8cc_source.html#l00011">11</a> of file <a class="el" href="_raw_calorimeter_hit_obj_8cc_source.html">RawCalorimeterHitObj.cc</a>.</p>

<p class="reference">References <a class="el" href="_raw_calorimeter_hit_obj_8h_source.html#l00030">data</a>.</p>

</div>
</div>
<a id="aeacab44e6aab12e1a6db117d6ba536a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeacab44e6aab12e1a6db117d6ba536a9">&#9670;&nbsp;</a></span>~RawCalorimeterHitObj()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">eic::RawCalorimeterHitObj::~RawCalorimeterHitObj </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_raw_calorimeter_hit_obj_8cc_source.html#l00021">21</a> of file <a class="el" href="_raw_calorimeter_hit_obj_8cc_source.html">RawCalorimeterHitObj.cc</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a497e714e86e02a8c25b5ef7b0e765cec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a497e714e86e02a8c25b5ef7b0e765cec">&#9670;&nbsp;</a></span>data</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_raw_calorimeter_hit_data.html">RawCalorimeterHitData</a> eic::RawCalorimeterHitObj::data</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_raw_calorimeter_hit_obj_8h_source.html#l00030">30</a> of file <a class="el" href="_raw_calorimeter_hit_obj_8h_source.html">RawCalorimeterHitObj.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_raw_calorimeter_hit_const_8cc_source.html#l00051">eic::ConstRawCalorimeterHit::amplitude()</a>, <a class="el" href="_raw_calorimeter_hit_8cc_source.html#l00053">eic::RawCalorimeterHit::amplitude()</a>, <a class="el" href="_raw_calorimeter_hit_const_8cc_source.html#l00049">eic::ConstRawCalorimeterHit::cellID0()</a>, <a class="el" href="_raw_calorimeter_hit_8cc_source.html#l00051">eic::RawCalorimeterHit::cellID0()</a>, <a class="el" href="_raw_calorimeter_hit_const_8cc_source.html#l00050">eic::ConstRawCalorimeterHit::cellID1()</a>, <a class="el" href="_raw_calorimeter_hit_8cc_source.html#l00052">eic::RawCalorimeterHit::cellID1()</a>, <a class="el" href="_raw_calorimeter_hit_const_8cc_source.html#l00020">eic::ConstRawCalorimeterHit::ConstRawCalorimeterHit()</a>, <a class="el" href="_raw_calorimeter_hit_8cc_source.html#l00020">eic::RawCalorimeterHit::RawCalorimeterHit()</a>, <a class="el" href="_raw_calorimeter_hit_obj_8cc_source.html#l00006">RawCalorimeterHitObj()</a>, <a class="el" href="_raw_calorimeter_hit_const_8cc_source.html#l00052">eic::ConstRawCalorimeterHit::timeStamp()</a>, and <a class="el" href="_raw_calorimeter_hit_8cc_source.html#l00054">eic::RawCalorimeterHit::timeStamp()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_raw_calorimeter_hit_obj_8h_source.html">RawCalorimeterHitObj.h</a></li>
<li>src/<a class="el" href="_raw_calorimeter_hit_obj_8cc_source.html">RawCalorimeterHitObj.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
